=== debian/changelog ===
ros-humble-chomp-motion-planner (2.5.5-1jammy) jammy; urgency=high

  * Switch to clang-format-14 (#1877 <https://github.com/ros-planning/moveit2/issues/1877>) (#1880 <https://github.com/ros-planning/moveit2/issues/1880>)
    * Switch to clang-format-14
    * Fix clang-format-14
    (cherry picked from commit 7fa5eaf1ac21ab8a99c5adae53bd0a2d4abf98f6)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: mergify[bot]

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-chomp-motion-planner (2.5.4-1jammy) jammy; urgency=high

  * updated comment formatting for correct doxygen generation (#1582 <https://github.com/ros-planning/moveit2/issues/1582>) (#1664 <https://github.com/ros-planning/moveit2/issues/1664>)
    (cherry picked from commit 71e6d903927116a59b9a142ef7b501f4f6cd1022)
    Co-authored-by: Michael Wrock <mailto:michael.wrock@picknik.ai>
  * Replace C array with std::array in std::vector template argument (backport #1612 <https://github.com/ros-planning/moveit2/issues/1612>) (#1621 <https://github.com/ros-planning/moveit2/issues/1621>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
    (cherry picked from commit a8326ace6bb3e7d17191769533b85ec994a1bdd7)
    Co-authored-by: light-tech <mailto:lightech@outlook.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: mergify[bot]

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-chomp-motion-planner (2.5.3-1jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-chomp-motion-planner (2.5.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Henry Moore, Jafar, Vatan Aksoy Tezer

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-chomp-motion-planner (2.5.1-1jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-chomp-motion-planner (2.5.0-1jammy) jammy; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit2/issues/2955>)
  * Contributors: Abishalini, Jafar, Rick Staa, Robert Haschke, jeoseo

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-chomp-motion-planner (2.4.0-1jammy) jammy; urgency=high

  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke, Stephanie Eng

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Jan 2022 23:00:00 -0000

ros-humble-chomp-motion-planner (2.3.2-1jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 28 Dec 2021 23:00:00 -0000

ros-humble-chomp-motion-planner (2.3.1-1jammy) jammy; urgency=high

  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: David V. Lu!!, Henning Kayser, Kaustubh, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, andreas-botbuilt, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 22 Dec 2021 23:00:00 -0000

ros-humble-chomp-motion-planner (1.1.1-1jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Oct 2020 22:00:00 -0000

ros-humble-chomp-motion-planner (1.1.0-1jammy) jammy; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix calculation of potential (#1651 <https://github.com/ros-planning/moveit/issues/1651>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)

